﻿#pragma once

#include "CoreMinimal.h"
#include "GenericGraphNode.h"
#include "DialogueChoiceNode.generated.h"

UCLASS(Blueprintable)
class UDialogueChoiceNode : public UGenericGraphNode
{
	GENERATED_BODY()

public:
	UDialogueChoiceNode();

	UPROPERTY(EditDefaultsOnly, BlueprintReadOnly, Category = "Dialogue")
	FString Choice1Text = "None";
	UPROPERTY(EditDefaultsOnly, BlueprintReadOnly, Category = "Dialogue")
	FString Choice2Text = "None";
	UPROPERTY(EditDefaultsOnly, BlueprintReadOnly, Category = "Dialogue")
	FString Choice3Text = "None";

#if WITH_EDITOR
	virtual FLinearColor GetBackgroundColor() const override;
#endif
};
